## cgmail 0.4.1

=== Makefile ===
PYTHON_FILES = $(shell find src -name \*.py)
PYC_FILES = $(shell find src -name \*.pyc)
BAK1 = $(shell find src -name \*.bak)
BAK2 = $(shell find src -name \*.\*~)
BACKUP_FILES = $(BAK1) $(BAK2)


all: clean
	py_compilefiles -f $(PYTHON_FILES)
clean:
	rm -rf debian/cgmail
	rm -f $(PYC_FILES)
	rm -f $(BACKUP_FILES)

install:
	install -d $(DESTDIR)/usr/share/cgmail/
	install -d $(DESTDIR)/usr/share/pixmaps/
	install -d $(DESTDIR)/usr/share/applications/
	cp -a data glade po $(DESTDIR)/usr/share/cgmail
	install -d $(DESTDIR)/usr/share/cgmail/service
	install -d $(DESTDIR)/usr/share/cgmail/lib
	install -d $(DESTDIR)/usr/share/cgmail/manager
	cp src/service/*.py  $(DESTDIR)/usr/share/cgmail/service
	cp src/service/*.pyc  $(DESTDIR)/usr/share/cgmail/service
	cp src/manager/*.py  $(DESTDIR)/usr/share/cgmail/manager
	cp src/manager/*.pyc  $(DESTDIR)/usr/share/cgmail/manager
	cp src/lib/*.py  $(DESTDIR)/usr/share/cgmail/lib
	cp src/lib/*.pyc  $(DESTDIR)/usr/share/cgmail/lib
	cp src/*.py  $(DESTDIR)/usr/share/cgmail/
	cp src/*.pyc  $(DESTDIR)/usr/share/cgmail/
	install -m 755 idir/cgmail $(DESTDIR)/usr/bin/cgmail
	install -m 755 idir/cgmailservice $(DESTDIR)/usr/bin/cgmailservice
	install -m 644 data/cgmail.svg $(DESTDIR)/usr/share/pixmaps/cgmail.svg
	install -m 644 idir/cgmail.desktop $(DESTDIR)/usr/share/applications/cgmail.desktop
	install -m 644 idir/cgmail.schemas $(DESTDIR)/usr/share/gconf/schemas/cgmail.schemas
