=== po/Makefile ===
NAME = cgmail
LANGS = it es fr de zh_TW
LANGS_PO:=$(foreach LANG, ${LANGS}, ${LANG}.po)
LANGS_MO:=$(foreach LANG, ${LANGS}, ${LANG}.mo)
MO_PATHS:=$(foreach lang, ${LANGS}, ${lang}/LC_MESSAGES/${NAME}.mo)
PYTHON_FILES = $(shell find ../src -name \*.py)
GLADE_FILES = $(shell find ../glade -name \*.glade)

all: cgmail.pot ${LANGS_PO} catalogs

POTFILES.in:
	-rm $@
	echo '[encoding: UTF-8]' >> $@
	cd .. && find glade -name \*.glade | sort >> po/$@
	cd .. && find src -name \*.py | sort >> po/$@

cgmail.pot: POTFILES.in ${PYTHON_FILES} ${GLADE_FILES}
	intltool-update --pot --gettext-package=${NAME}

%.po: cgmail.pot
	intltool-update --dist --gettext-package=${NAME} $*

catalogs: ${LANGS_MO}
%.mo: %.po
	mkdir -p $*/LC_MESSAGES/
	msgfmt $< -o $*/LC_MESSAGES/${NAME}.mo

check: $(addprefix check-, ${LANGS})

check-%: %.po
	msgfmt -c $<

clean-mo:
	rm ${MO_PATHS}


clean: clean-mo
	rm POTFILES.in

.PHONY: check check-% clean
