## cgmail 0.6.1

=== wscript ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 # the following two variables are used by the target "waf dist"
 APPNAME="cgmail"
-VERSION = "0.6"
+VERSION = "0.6.1"
 
 VERSION_MAJOR_MINOR = ".".join(VERSION.split(".")[0:2])
 
@@ -45,7 +45,7 @@
 		gnome
 		pynotify
 		xdg
-		webkit
+		wnck
 		"""
 	for module in python_modules.split():
 		conf.check_python_module(module)
@@ -112,7 +112,6 @@
 	os.popen("intltool-extract --type=gettext/glade data/junkfilter_popupmenu.ui")
 	os.popen("intltool-extract --type=gettext/glade data/preferences_dialog.ui")
 	os.popen("intltool-extract --type=gettext/glade data/statusicon_popupmenu.ui")
-	os.popen("intltool-extract --type=gettext/glade data/unreadmail_dialog.ui")
 	os.chdir("po")
 	for line in open("LINGUAS"):
 		""" Run xgettext for all listed languages
@@ -126,9 +125,11 @@
 		if not os.path.exists(lang_file):
 			print "Creating %s" % lang_file
 			os.popen("xgettext -D .. -f POTFILES.in --output=%s -F" % lang_file)
-		print "Processing", lang
-		os.popen("intltool-update %s" % lang)
-	os.popen("intltool-update --pot")
+			os.popen("intltool-update %s" % lang)
+		else:
+			print "Processing", lang
+			os.popen("intltool-update %s" % lang)
+			os.popen("msgfmt --check %s" % lang_file)
 
 def shutdown():
 	pass
