=== debian/changelog ===
cgmail (0.6.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to formata 3.0 (quilt).
  * debian/patches/private_directory.patch:
    - Remove, use waf options to correctly install files.
  * debian/control:
    - Remove myself from uploaders.
    - Bump Standars-Version to 3.9.0, no changes required.
  * debian/rules:
    - Use waf options to correctly install files.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 15 Jul 2010 22:30:26 +0200

cgmail (0.6.1-2) unstable; urgency=low

  * Use internal copy of waf to build the package (Closes: #571706).
  * Update Andrea email address.
  * Remove DM-Upload-Allowed field.
  * Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 27 Feb 2010 18:34:05 +0100

cgmail (0.6.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - removed python-webkit B-D / Depends, it's no more
      needed according to wscript.
    - homepage updated with a new value.
    - added python-wnck B-D / Depends, according to wscript
      requirements.
  * debian/copyright:
    - added a new upstream author plus missing copyright
      holders.
  * debian/rules:
    - fixed a typo, comon --> common.

 -- Andrea Veri <andrea.veri89@gmail.com>  Sat, 03 Oct 2009 12:03:34 +0200

cgmail (0.6-1) unstable; urgency=low

  [ Andrea Veri ]
  * New upstream release.
  * debian/patches:
    - 01_desktop_file.patch, removed, adopted upstream
    - 02_feedparser.patch, removed, adopted upstream
    - 03_BASE_DATA_PATH.patch, removed, adopted upstream
  * debian/rules:
    - upstream now uses waf, so I've added some dirty hacks
      to make it working together with cdbs.
    - removed DEB_PYTHON_INSTALL_ARGS_ALL, waf will install 
      everything on the right dirs without having this option.
    - python-distutils.mk include removed, it's no more needed
      with waf.
  * debian/control:
    - bumped Standards-version to 3.8.3
    - python moved from B-D to Build-Depends-Indep
    - python-setuptools and python-distutils-extra removed from the
      Build-Depends-Indep field, they are no more needed.
    - added a B-D on waf.
    - added DM-Upload-Allowed: field. I'll be a DM really soon.
    - added a B-D on intltool, now needed for the build to work.
    - added a B-D on python-gnome2, now needed for the build to work.
    - added a B-D on python-gnomekeyring, python-feedparser, python-dbus,
      python-gst0.10 and python-notify, now needed for the build to work.
    - added a Depends on python-notify, as far as notifications are now handled
      with this python module.
    - removed notification-daemon for the reason explained above here.
    - removed a Depends on python-glade2, it's no more needed now.
    - added a Depends on python-webkit, needed from cgmailservice to work
      properly with this new release.
    - added a B-D / Depends on python-xdg, as far as this module is needed
      for both the build and cgmail to work properly.

  [ Luca Falavigna ]
  * debian/control:
    - Update my e-mail address.
    - Build-depend on python-webkit.
    - Depend on python-gconf and python-gobject.
  * debian/copyright:
    - Adjust copyright informations for new upstream release.
  * debian/watch:
    - Adjust links to new download location.
  * debian/patches/private_directory.patch:
    - Adjust installation path to follow Python policy.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 27 Aug 2009 23:07:41 +0200

cgmail (0.5-2) unstable; urgency=low

  [ Luca Falavigna ]
  * debian/patches/03_BASE_DATA_PATH.patch:
    - Adjust BASE_DATA_PATH to follow Python policy (Closes: #537390).
  * debian/control:
    - Adjust dependencies to match current state of the package.
    - Adjust Vcs-* fields to match new branch location.
  * debian/rules:
    - Invoke dh_gconf in binary-install to register GConf schemas, this
      replaces manual editing of postinst/prerm maintainer scripts.
    - Pass /usr/share/cGmail to DEB_PYTHON_PRIVATE_MODULES_DIRS to let
      python-support know where private directory is located.
  * debian/postinst, debian/prerm:
    - Remove them, dh_gconf will register GConf schemas now.

  [ Andrea Veri ]
  * debian/control: added a dep on python-glade2, cgmail needs it for
    running well.

 -- Andrea Veri <andrea.veri89@gmail.com>  Mon, 20 Jul 2009 16:08:34 +0200

cgmail (0.5-1) unstable; urgency=low

  [ Andrea Veri ]
   * The "I'm back" release. (Closes: #515539)
   * New upstream release. (Closes: #461477)
     - New build system: Now using python setuptools and distutils-extra
     - New plugin like system: Each checker now is fully independent. Third
       party plugins could be implemented.
     - Labels support in Gmail: Gmail checker now support labels checking
     - Dropped awn support: awn notification support is dropped becouse
       unmaintained.
     - Pertinent actions: Only pertinent actions will be displayed on
       notification bubbles. No more "go to gmail account" for pop3 or imap
       accounts.
   * debian/rules: 
     - upstream now builds the package using python setuptools
       and distutils-extra, so converting the package to cdbs, which will be
       easier for me to maintain it.
     - Added an install target to remove feedparser.py, which is 
       reported as an embedded lib from lintian.
   * debian/control:
     - Added B-D on python setuptools, distutils-extra and cdbs
     - Changed my mail address.
     - Bumped debhelper to level 7
     - Bumped Standards-version to 3.8.2
     - Changed "Gnome" to "GNOME" and "dbus" to "D-Bus" into file
       description, so lintian will stop complaining about them.
     - Added Luca Falavigna as co-maintainer.
     - Added a dep on python-feedparser.    

  [ Luca Falavigna ]
  * debian/compat:
    - Bump compat level to 7.
  * debian/control:
    - Switch to python-support.
    - Remove python-all-dev, use python instead.
    - Move some dependencies to Build-Depends-Indep as per policy.

