=== debian/control ===
Source: cgmail
Section: net
Priority: extra
Maintainer: Andrea Veri <and@debian.org>
Build-Depends: debhelper (>= 7), cdbs, intltool
Build-Depends-Indep: python-support (>= 0.90.0), python, python-gnome2, python-gnomekeyring, python-feedparser, python-dbus, python-gst0.10, python-notify, python-xdg, python-wnck
Homepage: http://launchpad.net/cgmail
Standards-Version: 3.9.0
XS-Python-Version: all
Vcs-Bzr: https://code.launchpad.net/~cgmail-packaging-team/cgmail/debian.source
Vcs-Browser: https://code.launchpad.net/~cgmail-packaging-team/cgmail/debian.source

Package: cgmail
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-gtk2 (>= 2.10), python-gnome2, python-gconf, python-gobject, python-dbus, python-gnomekeyring, python-gst0.10, python-feedparser, python-notify, python-xdg, python-wnck
Description: mail checker for the GNOME desktop
 This application intends to replace old mail checkers getting
 integrated correctly inside GNOME desktops. It requires D-Bus and
 notification-daemon support (org.freedesktop.Notifications service)
 for any kind of notifications and the GNOME keyring to store 
 user's credentials. gGmail will pop-up on the top right side of 
 your desktop and after providing every information requested for
 accessing each of your email accounts, it will start up sending 
 notifications when a new mail hits one of your mailboxes. This 
 package is similar to xbiff but has some more features like
 pop3 and GMail account's support.
