=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

DEB_COMPRESS_EXCLUDE := .py
DEB_INSTALL_CHANGELOGS_ALL += NEWS

WAF = ./waf --prefix=/usr --destdir=$(DEB_DESTDIR) --bindir=/usr/share/cgmail --nopyc --nopyo

common-configure-indep:: configure-stamp
configure-stamp:
	$(WAF) configure
	touch $@

common-build-indep:: build-stamp
build-stamp:
	$(WAF) build

common-install-indep::
	$(WAF) install

clean::
	rm -f build-stamp
	-$(WAF) distclean

binary-install/cgmail::
	dh_gconf -pcgmail
	dh_pysupport
