=== debian/watch ===
version=3
https://launchpad.net/cgmail/+download http://launchpad.net/cgmail/.*/cgmail-([0-9\.]*)\.tar\.gz
